Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes
WAKE_Policy< B > Class Template Reference
Inheritance diagram for WAKE_Policy< B >:

List of all members.

## Public Types

typedef word32 | WordType

## Public Member Functions

unsigned int | GetAlignment () const
unsigned int | GetBytesPerIteration () const
unsigned int | GetIterationsToBuffer () const
bool | CanOperateKeystream () const
virtual unsigned int | GetOptimalBlockSize () const
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
virtual void | CipherResynchronize (byte *keystreamBuffer, const byte *iv, size_t length)
virtual void | SeekToIteration (lword iterationCount)

## Static Public Attributes

static const int | BYTES_PER_ITERATION

## Protected Member Functions

void | CipherSetKey (const NameValuePairs &params, const byte *key, size_t length)
void | OperateKeystream (KeystreamOperation operation, byte *output, const byte *input, size_t iterationCount)
bool | CipherIsRandomAccess () const
word32 | M (word32 x, word32 y)
void | GenKey (word32 k0, word32 k1, word32 k2, word32 k3)

## Protected Attributes

word32 | t [257]
word32 | r3
word32 | r4
word32 | r5
word32 | r6

## Detailed Description

### template<class B = BigEndian>
class WAKE_Policy< B >

Definition at line 28 of file wake.h.

The documentation for this class was generated from the following file:

- wake.h